Open CASCADE Technology: PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString Class Reference

`#include <PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString.hxx>`

Inheritance diagram for PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString:
[legend]

## Public Member Functions
| PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString ()
| PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString (const Handle< PCollection_HAsciiString > &aValue)
void | SetValue (const Handle< PCollection_HAsciiString > &aValue)
Standard_Address | Value () const
| PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString (const Storage_stCONSTclCOM &a)
Handle< PCollection_HAsciiString > | _CSFDB_GetPDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiStringmyValue () const
void | _CSFDB_SetPDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiStringmyValue (const Handle< PCollection_HAsciiString > &p)
Public Member Functions inherited from PStandard_ArrayNode
| PStandard_ArrayNode ()
| Creates an empty ArrayNode. More...
| PStandard_ArrayNode (const Storage_stCONSTclCOM &a)
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString | ( |  | ) |

PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString | ( | const Handle< PCollection_HAsciiString > & | aValue | ) |

PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PCollection_HAsciiString > PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::_CSFDB_GetPDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiStringmyValue | ( |  | ) | const
| inline

void PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::_CSFDB_SetPDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiStringmyValue | ( | const Handle< PCollection_HAsciiString > & | p | ) |
| inline

void PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::SetValue | ( | const Handle< PCollection_HAsciiString > & | aValue | ) |

Standard_Address PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- PDataStd_VArrayNodeOfFieldOfHArray1OfHAsciiString.hxx